### Method

# GLib Node insert

#### Declaration

    GNode*
    g_node_insert (
      GNode* parent,
      gint position,
      GNode* node
    )

#### Description

Inserts a `GNode` beneath the parent at the given position.

This method is not directly available to language bindings.

#### Parameters

`position`

  Type: `gint`

  The position to place `node` at, with respect to its siblings If position is -1, `node` is inserted as the last child of `parent`.

`node`

  Type: `GNode`

  The `GNode` to insert.

  The data is owned by the caller of the method.

#### Return value

Type: `GNode`

The inserted `GNode`.

The returned data is owned by the instance.